class FixedArray
  include Enumerable

  def initialize(num = 50)
    @size = num
    @queue = Array.new
  end

  def each(&blk)
    @queue.each(&blk)
  end

  def pop
    @queue.pop
  end

  def push(value)
    @queue.shift if @queue.size >= @size
    @queue.push(value)
  end

  def to_a
    @queue.to_a
  end

  def <<(value)
    push(value)
  end

end 